
---@alias TankBuster { shouldZen: boolean | nil, shouldDampen: boolean | nil, shouldDiffuse: boolean | nil, shouldFort: boolean | nil, shouldBubble: boolean | nil, shouldPurify: boolean | nil }
---@alias TankBusterList table<number, table<number, TankBuster>>

---@type TankBusterList
local _TankBusterList  = {
  --
  -- RLP
  --
    -- Primal Juggernaut
  [188244] = {
    -- Crushing Smash
    [372730] = {
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- Defier Draghar
  [187897] = {
    -- Steel Barrage
    [372047] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- Thunderhead
  [197698] = {
    -- Thunder Jaw
    [392395] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldPurify = true,
      shouldZen = true
    }
  },
    -- Flamegullet
  [197697] = {
    -- Fire Maw
    [392394] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldPurify = true,
      shouldZen = true
    }
  },
    -- Kokia
  [189232] = {
    -- Searing Blows
    [372858] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldFort = true,
      shouldPurify = true,
      shouldZen = true
    },
  },
    -- Erkhart
  [190485] = {
    -- Stormslam
    [381512] = {
      shouldPurify = true,
      shouldZen = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldFort = true
    }
  },
  --
  -- NO
  --
    -- Raging Tempest
  [186615] = {
    -- Energy Surge
    [384686] = {
      shouldDampen = true,
      shouldPurify = true,
      shouldFort = true
    }
  },
    -- Beastcaller
  [195878] = {
    -- Heavy Slash
    [387826] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- Maruuk
  [186338] = {
    -- Brutalize
    [382836] = {
      shouldDampen = true,
      shouldZen = true,
      shouldPurify = true
    }
  },
    -- Balakar
  [186151] = {
    -- Rending Strike
    [375937] = {
      shouldDampen = true,
      shouldZen = true,
      shouldPurify = true
    }
  },
  --
  -- AV
  --
    -- Leymore
  [186644] = {
    -- Infused Strike
    [374789] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldZen = true,
      shouldPurify = true
    }
  },
    -- Vault Guard 
  [190510] = {
    -- Ice Cutter
    [377105] = {
      shouldPurify = true,
      shouldDampen = true,
      shouldDiffuse = true,
    }
  },
    -- Scalebane
  [191739] = {
    -- Ice Cutter
    [377105] = {
      shouldPurify = true,
      shouldDampen = true,
      shouldDiffuse = true,
    },
    -- Spellfrost Breath
    [391120] = {
      shouldPurify = true,
      shouldZen = true,
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
    }
  },
    -- Azureblade
  [186739] = {
    -- Arcane Cleave
    [372222] = {
      shouldZen = true,
      shouldPurify = true,
      shouldDampen = true,
      shouldDiffuse = true,
    }
  },
    -- Umbreskul
  [186738] = {
    -- Dragon Strike
    [384978] = {
      shouldZen = true,
      shouldPurify = true,
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldFort = true
    }
  },
  --
  -- AA
  --
    -- Battleaxe
  [196577] = {
    -- Severing Slash
    [388911] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- Crawth
  [191736] = {
    -- Savage Peck
    [376997] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldZen = true,
      shouldPurify = true,
      shouldFort = true
    }
  },
    -- Overgrown Ancient
  [196482] = {
    -- Barkbreaker
    [388544] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true,
      shouldFort = true
    }
  },
  --
  -- HOV
  --
    -- Storm Drake
  [97068] = {
    -- Lightning Breath
    [198888] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldPurify = true
    }
  },
    -- Hymdall
  [94960] = {
    -- Bloodletting Sweep
    [193092] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldZen = true,
      shouldPurify = true,
      shouldFort = true
    }
  },
    -- Hyrja
  [95833] = {
    [192018] = {
      shouldZen = true,
      shouldPurify = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldFort = true
    }
  },
    -- Storm Drake
  [99891] = {
    -- Lightning Breath
    [198888] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldPurify = true,
    }
  },
    -- Angerhoof Bull
  [96611] = {
    -- Piercing Horns
    [199151] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- Steeljaw Grizzly
  [96677] = {
    -- Rending Claws
    [185425] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldFort = true,
      shouldPurify = true
    }
  },
    -- King Ranulf
  [97083] = {
    -- Sever
    [199652] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- King Haldor
  [95843] = {
    -- Sever
    [199652] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- King Bjorn
  [97081] = {
    -- Sever
    [199652] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- King Tor
  [97084] = {
    -- Sever
    [199652] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- God-King Skovald
  [95675] = {
    -- Savaga Slash
    [193668] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldZen = true,
      shouldPurify = true
    }
  },
  --
  -- CoS
  --
    -- Sentry
  [104270] = {
    -- Charged Smash
    [209495] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true,
    }
  },
    -- Gereth the Vile
  [108151] = {
    -- Vampiric Claws
    [373364] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldZen = true,
      shouldPurify = true
    }
  },
  --
  -- SMBG
  --
    -- Reanimated Ritual Bones
  [75715] = {
    -- Shadow Slash
    [75715] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldFort = true,
      shouldPurify = true
    }
  },
  --
  -- TJS
  --
    -- Haunting Sha
  [59555] = {
    -- Haunting Gaze
    [114646] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldFort = true,
      shouldPurify = true
    }
  },
    -- Songbird
  [59553] = {
    -- Vicious Peck
    [396007] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = false,
      shouldPurify = true
    }
  },
    -- The Golden Beetle
  [59545] = {
    [396019] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- Sha-Touched Guardian
  [200131] = {
    -- Setting Sun Kick
    [397094] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldPurify = true
    }
  },
    -- Minion of Doubt
  [57109] = {
    -- Dark Claw
    [397931] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldPurify = true
    }
  },
    -- Liu Flameheart
  [56732] = {
    -- Jade Serpent Strike
    [106841] = {
      shouldBubble = true,
      shouldDampen = true,
      shouldDiffuse = true,
      shouldFort = true,
      shouldPurify = true,
      shouldZen = true
    }
  }
}

return _TankBusterList